import React, { Component } from "react";
import { withStyles } from "@material-ui/core/styles";
import { withRouter } from "react-router-dom";
import compose from "recompose/compose";
import {
  InputAdornment,
  TextField,
  Button,
  Fab
} from "@material-ui/core";
import AccountCircle from "@material-ui/icons/AccountCircle";
import MailOutlineIcon from "@material-ui/icons/MailOutline";
import ContactPhoneIcon from "@material-ui/icons/ContactPhone";
import BusinessIcon from "@material-ui/icons/Business";
import EditIcon from "@material-ui/icons/Edit";
import { connect } from "react-redux";
import PhotoCameraIcon from "@material-ui/icons/PhotoCamera";
import Avatar from "react-avatar";
import axios from "axios";
const styles = theme => ({
  margin: {
    margin: theme.spacing(1)
  }
});

class Profile extends Component {
  state = {
    user: ""
  };

  componentDidMount = async () => {
    const { location, userInfo } = this.props;
    // const id = userInfo.id;
    const response = await axios.get(
      `http://localhost:9000/api/auth/getUserById/${userInfo.id}`
    );
    console.log(response.data);
    this.setState({
      user: response.data
    });
  };
  render() {
    const { classes, userInfo } = this.props;
    const { user } = this.state;
    return (
      <div className="row center">
        <div className="row mt-2 mb-2">
          <h2>โปรไฟล์</h2>
        </div>
        <br />
        <div className="row mt-2 mb-2">
          <div className="col s12 m6 l4">
            <div className="row center">
              <br />
              <Avatar
                skypeId="sitebase"
                src="https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcQZeSPYraiTcEz6JxyXy8ITsaGldAqDjX6860m7eCpYhYeQDQkL"
                size="200"
                round={true}
              />
            </div>
            <div className="row center">
              <Button variant="outlined" color="primary">
                <PhotoCameraIcon />
                แก้ไขรูปโปรไฟล์
              </Button>
            </div>
          </div>
          <div className="col s12 m6 l8">
            <br />
            <div ClassName="row">
              <TextField
                className={classes.margin}
                id="name"
                name="name"
                value={user.name}
                label="ชื่อ-นามสกุล"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <AccountCircle />
                    </InputAdornment>
                  )
                }}
              />

              <TextField
                className={classes.margin}
                id="email"
                name="email"
                value={user.email}
                label="E_mail"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <MailOutlineIcon />
                    </InputAdornment>
                  )
                }}
              />
            </div>
            <br></br>
            <div>
              <TextField
                className={classes.margin}
                id="address"
                name="address"
                value={user.address}
                label="ที่อยู่"
                autoComplete="address"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <BusinessIcon />
                    </InputAdornment>
                  )
                }}
              />

              <TextField
                className={classes.margin}
                id="tel"
                name="tel"
                value={user.tel}
                label="เบอร์โทร"
                autoComplete="Phone number"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <ContactPhoneIcon />
                    </InputAdornment>
                  )
                }}
              />
            </div>
            <br></br>

            <div className="row">
              <div className={classes.root}>
                <Button variant="contained" color="secondary">
                  ยกเลิก
                </Button>{" "}
                &nbsp; &nbsp; &nbsp;
                <Button variant="contained" color="primary">
                  ตกลง
                </Button>
                &nbsp; &nbsp; &nbsp;
                <Fab color="secondary" aria-label="edit">
                  <EditIcon />
                </Fab>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }
}
const mapStateToProps = state => ({
  userInfo: state.user
});

const mapDispatchToProps = dispatch => {};

export default connect(
  mapStateToProps,
  mapDispatchToProps
)(compose(withStyles(styles), withRouter)(Profile));
